> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unapprove Contributor From Token Payroll

> Deletes a contributor's unfulfilled settlement orders to un-approve them, unless the payroll is completed.

Not available to API keys yet. It will need `payroll:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/unapprove-contributor-from-token-payroll
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/unapprove-contributor-from-token-payroll:
    post:
      operationId: unapproveContributorFromTokenPayroll
      summary: Unapprove Contributor From Token Payroll
      description: >-
        Deletes a contributor's unfulfilled settlement orders to un-approve
        them, unless the payroll is completed.


        Not available to API keys yet. It will need `payroll:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UnapproveContributorFromTokenPayrollRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/UnapproveContributorFromTokenPayrollResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    UnapproveContributorFromTokenPayrollRequest:
      type: object
      properties:
        contributorInTokenPayrollID:
          type: string
          minLength: 1
          maxLength: 200
      required:
        - contributorInTokenPayrollID
    UnapproveContributorFromTokenPayrollResponse:
      type: object
      properties:
        success:
          type: boolean
        validationErrors:
          type: array
          items:
            type: string
      required:
        - success
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
